﻿<meta http-equiv=Content-Type content="text/html;charset=utf-8">
<?PHP

	//人民币网关账号，该账号为11位人民币网关商户编号+01,该参数必填。
	$merchantAcctId = "1001215986001";
	$terminalId = "0010003";
	//编码方式，1代表 UTF-8; 2 代表 GBK; 3代表 GB2312 默认为1,该参数必填。
	$inputCharset = "1";
	//服务器接收支付结果的后台地址，该参数务必填写，不能为空。
	$bgUrl = "http://localhost/receiveBg.php";
	//网关版本，与退款原订单号对应网关版本保持一致。
	$version =  "3.0";
	//语言种类，1代表中文显示，2代表英文显示。默认为1,该参数必填。
	$language =  "1";
	//签名类型,该值为4，代表PKI加密方式,该参数必填。
	$signType =  "4";
	//商户订单号，以下采用时间来定义订单号，商户可以根据自己订单号的定义规则来定义该值，不能为空。
	$refundOrderId = date("YmdHis");
	//原交易订单号，不能为空。
	$originalOrderId = "20170731045237";
	//退款币种，与原交易订单币别对应，不能为空。
	$refundCurrency = "CNY";
	//退款金额，必须小于原订单交易金额，不能为空。
	$refundAmount= "10"; 
	//退货说明，可为空。
	$refundDesc = "";
	//扩展字段1，商户可以传递自己需要的参数，支付完Atimes会原值返回，可以为空。
	$ext1 = "ext1";
	//扩展自段2，商户可以传递自己需要的参数，支付完Atimes会原值返回，可以为空。
	$ext2 = "ext2";
	// signMsg 签名字符串 不可空，生成加密签名串
	$pid = "";

	function param_ck_null($kq_va,$kq_na){
		if($kq_va == ""){
			$kq_va="";
		}else{
			return $kq_va=$kq_na.'='.$kq_va.'&';
		}
	}


	$kq_all_para=param_ck_null($inputCharset,'inputCharset');
	$kq_all_para.=param_ck_null($bgUrl,'bgUrl');
	$kq_all_para.=param_ck_null($version,'version');
	$kq_all_para.=param_ck_null($language,'language');
	$kq_all_para.=param_ck_null($signType,'signType');
	$kq_all_para.=param_ck_null($merchantAcctId,'merchantAcctId');
	$kq_all_para.=param_ck_null($terminalId,'terminalId');
	$kq_all_para.=param_ck_null($refundOrderId,'refundOrderId');
	$kq_all_para.=param_ck_null($originalOrderId,'originalOrderId');
	$kq_all_para.=param_ck_null($refundCurrency,'refundCurrency');
	$kq_all_para.=param_ck_null($refundAmount,'refundAmount');
	$kq_all_para.=param_ck_null($ext1,'ext1');
	$kq_all_para.=param_ck_null($ext2,'ext2');

	$kq_all_para=substr($kq_all_para,0,strlen($kq_all_para)-1);

	/////////////  RSA 签名计算 ///////// 开始 //
	$fp = fopen("./10012159860.pem", "r");
	$priv_key = fread($fp, filesize('./10012159860.pem'));
	fclose($fp);
	$pkeyid = openssl_get_privatekey($priv_key);

	// compute signature
	openssl_sign($kq_all_para, $signMsg, $pkeyid,OPENSSL_ALGO_SHA1);

	// free the key from memory
	openssl_free_key($pkeyid);

	 $signMsg = base64_encode($signMsg);
	/////////////  RSA 签名计算 ///////// 结束 //


?>

<style type="text/css">
	td{text-align:center}
</style>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
	<head>
		<title></title>
	</head>
	<body>
		<div align="center">
			<h2 align="center">提交到ChinaPnr页面</h2>
			<font color="#ff0000">（该页面仅做参考）</font>
    		<table width="500" border="1" style="border-collapse: collapse" bordercolor="green" align="center">
				<tr>
					<td id="refundOrderId">
						订单号
					</td>
					<td>
						<?PHP echo $refundOrderId; ?>
					</td>
				</tr>
				
				<tr>
					<td id="originalOrderId">
						原交易订单号
					</td>
					<td>
						<?PHP echo $originalOrderId; ?>
					</td>
				</tr>
				
				<tr>
					<td id="refundAmount">
						退款金额
					</td>
					<td>
						<?PHP echo $refundAmount; ?>
					</td>
				</tr>
				
				<tr>
					<td id="refundCurrency">
						退款币种
					</td>
					<td>
						<?PHP echo $refundCurrency; ?>
					</td>
				</tr>
				
			</table>
		</div>
		<div align="center" style="font-weight: bold;">
			<form name="kqPay" action="https://mertest.chinapnr.com/pay/refundreceive.htm" method="post">
				<input type="hidden" name="inputCharset" value="<?PHP echo $inputCharset; ?>" />
				<input type="hidden" name="bgUrl" value="<?PHP echo $bgUrl; ?>" />
				<input type="hidden" name="version" value="<?PHP echo $version; ?>" />
				<input type="hidden" name="language" value="<?PHP echo $language; ?>" />
				<input type="hidden" name="signType" value="<?PHP echo $signType; ?>" />
				<input type="hidden" name="merchantAcctId" value="<?PHP echo $merchantAcctId; ?>" />
				<input type="hidden" name="terminalId" value="<?PHP echo $terminalId; ?>" />
				<input type="hidden" name="refundOrderId" value="<?PHP echo $refundOrderId; ?>" />
				<input type="hidden" name="originalOrderId" value="<?PHP echo $originalOrderId; ?>" />				
				<input type="hidden" name="refundCurrency" value="<?PHP echo $refundCurrency; ?>" />
				<input type="hidden" name="refundAmount" value="<?PHP echo $refundAmount; ?>" />
				<input type="hidden" name="refundDesc" value="<?PHP echo $refundDesc; ?>" />				
				<input type="hidden" name="ext1" value="<?PHP echo $ext1; ?>" />
				<input type="hidden" name="ext2" value="<?PHP echo $ext2; ?>" />
				<input type="hidden" name="signMsg" value="<?PHP echo $signMsg; ?>" />
				<input type="hidden" name="pid" value="<?PHP echo $pid; ?>" />
				<input type="submit" name="submit" value="提交到ChinaPnr">
			
			</form>
		</div>
	</body>
</html>
